<!doctype html>
<html>
<head>
    <title>Breaking through censorship barriers, even when Tor is blocked | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Breaking through censorship barriers, even when Tor is blocked | Tor Project">
    <meta property="og:description" content="Download video | view on YouTube While Tor Browser provides many security and privacy properties...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/breaking-through-censorship-barriers-even-when-tor-blocked/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Breaking through censorship barriers, even when Tor is blocked
      </h1>
    <p class="meta">by mrphs | August 3, 2016</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p><a href="https://extra.torproject.org/blog/2016-08-PT-animation/pluggable_transports-animation.mp4" rel="nofollow">Download video</a> | <a href="https://www.youtube.com/watch?v=DkEqWGF3cvg" rel="nofollow">view on YouTube</a></p>

<p>While Tor Browser provides many security and privacy properties and features, not everyone around the world has the luxury to connect to use it. By default, Tor Browser makes all of its users look alike by spoofing UserAgent (and other methods) to avoid fingerprinting attacks. However, it doesn't hide the fact you're connecting to Tor, an open network where anyone can get the list of relays. This network transparency has many benefits, but also has a downside: Many repressive governments and authorities benefit from blocking their users from having free and open access to the internet. They can simply get the list of Tor relays and block them. This bars millions of people from access to free information, often including those who need it most. We at Tor care about freedom of access to information and strongly oppose censorship. This is why we've developed methods to connect to the network and bypass censorship. These methods are called Pluggable Transports (PTs).</p>

<p><a href="https://www.torproject.org/docs/pluggable-transports" rel="nofollow">Pluggable Transports</a> are a type of bridge to the Tor network. They take advantage of various transports and make encrypted traffic to Tor look like not-interesting or garbage traffic. Unlike normal relays, bridge information is kept secret and distributed between users via <a href="https://bridges.torproject.org" rel="nofollow">BridgeDB</a>. If you're interested in helping censored users, you can <a href="https://www.torproject.org/docs/pluggable-transports#operator" rel="nofollow">become a bridge operator</a>. And if you're a developer and have interesting ideas on how to make new PTs or want to contribute code, we've <a href="https://www.torproject.org/docs/pluggable-transports#developer" rel="nofollow">some good documents</a> to get you up to speed.</p>

<p>And finally, if you're a censored user and want to take advantage of PTs, I've good news for you. They're already included in Tor Browser and this how-to graphic should help you configure it to bypass censorship.</p>

<p><a href="https://extra.torproject.org/blog/2016-08-PT-animation/pluggable_transports-howto.png" rel="nofollow"><img src="https://extra.torproject.org/blog/2016-08-PT-animation/pluggable_transports-howto.png" width="500" alt="How to use PTs: 1-download tor-send email to gettor@torproject.org; 2 select configure 3; check my isp blocks tor option; 4 select obfs4; 5 press connect" /></a><a href="https://extra.torproject.org/blog/2016-08-PT-animation/pluggable_transports-howto.png" rel="nofollow">(download png)</a></p>

<p>And of course we didn't forget to make a gif version:</p>

<p><a href="https://extra.torproject.org/blog/2016-08-PT-animation/pluggable_transports-howto.gif" rel="nofollow"><img src="https://extra.torproject.org/blog/2016-08-PT-animation/pluggable_transports-howto.gif" width="300" alt="How to use PTs: 1-download tor-send email to gettor@torproject.org; 2 select configure 3; check my isp blocks tor option; 4 select obfs4; 5 press connect" /></a><a href="https://extra.torproject.org/blog/2016-08-PT-animation/pluggable_transports-howto.gif" rel="nofollow">(download gif)</a></p>

<p>In case you need more bridges, send an email to <a href="mailto:bridges@torproject.org" rel="nofollow">bridges@torproject.org</a> or visit <a href="https://bridges.torproject.org" rel="nofollow">BridgeDB website</a>.</p>

<p>At the end, I'd like to thank all anonymous contributors and <a href="https://vivido.studio" rel="nofollow">Vivido Studio</a> for making this work possible.</p>

<p>In solidarity,<br />
Nima Fatemi</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li><li>
        <a href="../category/community">
          community
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-196871"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-196871" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 04, 2016</p>
    </div>
    <a href="#comment-196871">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-196871" class="permalink" rel="bookmark">Good stuff!
Indeed, China&#039;s</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good stuff!</p>
<p>Indeed, China's (&amp; Russia's) censorship is a huge problem - I daily deal with it.</p>
<p>Perhaps you could post these simple instructions in both of those languages? Or do you have the confidence that English is a sufficient vehicle for such a purpose?</p>
<p>Please be also advised that you should have any translations made verified by at least five unrelated individuals.<br />
It's not unknown for some mischievous government agent to make use of such a translation opportunity by also inserting a 'hidden' message threatening any Chinese or Russian user 'new' to the Tor browser.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-196986"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-196986" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  dcf
  </article>
    <div class="comment-header">
      <p class="comment__submitted">dcf said:</p>
      <p class="date-time">August 04, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-196871" class="permalink" rel="bookmark">Good stuff!
Indeed, China&#039;s</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-196986">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-196986" class="permalink" rel="bookmark">Here is a guide in the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Here is a guide in the Chinese language:<br />
<a href="https://github.com/TheTorProject/gettorbrowser/issues/1" rel="nofollow">下载 Tor Browser 及 签名文件</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-197183"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-197183" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 05, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to dcf</p>
    <a href="#comment-197183">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-197183" class="permalink" rel="bookmark">Well, let us all then hope</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Well, let us all then hope and trust that the disenfranchised bulk of the Chinese population - around 1.34 billion persons or 96% - will now, somehow, find your link on this here mrphs's blog. </p>
<p>Or perhaps you'll be kind enough to post it on Weibo and other Chinese network links?</p>
<p> Please also be aware that the Tor Browser is only 100% secure/safe when used on the Tor network so don't be getting yourself into any trouble by thinking its usage on other networks is also secure. </p>
<p>You may, of course, post your link in the comments section of any China related article found on economist.com. It won't be deleted - in my experience, I hasten to add - and it generally has a high Chinese readership. </p>
<p>There are, of course, also Chinese government agents using economist.com who will insult and vilify you knowing that The Economist staff will delete obnoxious remarks.</p>
<p>That's how Chinese and Russian censorship works on media they have no control of. LOL</p>
<p>Sadly, this means that your post too will consequently be deleted but The Economist staff will advise and apologise instantly to you via email and invite you to re-post your link.</p>
<p>Persevere. Never falter. </p>
<p>Thank you for your attention.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-199129"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-199129" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 14, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-197183" class="permalink" rel="bookmark">Well, let us all then hope</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-199129">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-199129" class="permalink" rel="bookmark">It&#039;s not a good idea that</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's not a good idea that posting it in public community or website in China,because goverment will arrest people who upload or sent these software.It's not safe for normal people</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-196896"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-196896" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 04, 2016</p>
    </div>
    <a href="#comment-196896">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-196896" class="permalink" rel="bookmark">Strict-Transport-Security:</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Strict-Transport-Security: The site specified a header that could not be parsed successfully. pluggable_transports-animation.mp4</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-196938"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-196938" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 04, 2016</p>
    </div>
    <a href="#comment-196938">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-196938" class="permalink" rel="bookmark">No bridge: First hop will</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No bridge: First hop will change with New Identity, New Tor Circuit for this Site. First hop is random from set of entry guards. Set will not change. Correct?</p>
<p>With bridge: Bridge will not change with New Identity, New Tor Circuit for this Site. Obfs4 (recommended) is set of 17 bridges. Why only use same 1 bridge for days, weeks?</p>
<p>Thank you.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-197001"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-197001" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 04, 2016</p>
    </div>
    <a href="#comment-197001">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-197001" class="permalink" rel="bookmark">Does using pluggable</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Does using pluggable transports protect me against correlation attacks, or at least makes them significantly more difficult?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-197022"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-197022" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 04, 2016</p>
    </div>
    <a href="#comment-197022">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-197022" class="permalink" rel="bookmark">will you please to be fair ?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>will you please to be fair ? most of blogs &amp; website &amp; mailing list are censored _ china&amp; russia&amp;turquey are far less censored than eu-uk-fr but it is unpleasant to admit it : you cannot read or write that you want , it is yet a colony of usa and it is worse than the others exotics countries.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-197050"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-197050" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 05, 2016</p>
    </div>
    <a href="#comment-197050">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-197050" class="permalink" rel="bookmark">Since I installed the latest</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Since I installed the latest TOR update i get always connected to the same entry server in sweden whose ip is 155.4.59.251. Why is it so?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-197143"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-197143" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  dcf
  </article>
    <div class="comment-header">
      <p class="comment__submitted">dcf said:</p>
      <p class="date-time">August 05, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-197050" class="permalink" rel="bookmark">Since I installed the latest</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-197143">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-197143" class="permalink" rel="bookmark">That is your entry guard and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That is your <a href="https://www.torproject.org/docs/faq#EntryGuards" rel="nofollow">entry guard</a> and it is normal.</p>
<p>There's a ticket about improving the way the guard is presented in the interface: <a href="https://bugs.torproject.org/16665" rel="nofollow">#16665</a>.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-197216"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-197216" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 05, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to dcf</p>
    <a href="#comment-197216">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-197216" class="permalink" rel="bookmark">For a different question the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>For a different question the FAQ says "When you use Tor the IP address you connect to changes at most every 10 minutes, and often more frequently than that." Should be updated since really only the middle and exit relays change every 10 minutes.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-197229"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-197229" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 05, 2016</p>
    </div>
    <a href="#comment-197229">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-197229" class="permalink" rel="bookmark">https://www.torproject.org/PT</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://www.torproject.org/PT" rel="nofollow">https://www.torproject.org/PT</a> - url from the video currently unfunctional?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-197893"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-197893" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  mrphs
  </article>
    <div class="comment-header">
      <p class="comment__submitted">mrphs said:</p>
      <p class="date-time">August 08, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-197229" class="permalink" rel="bookmark">https://www.torproject.org/PT</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-197893">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-197893" class="permalink" rel="bookmark">Thanks for letting us know.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for letting us know. The correct URL is <a href="https://www.torproject.org/PT/" rel="nofollow">https://www.torproject.org/PT/</a> (with an / at the end). I'll open a ticket to fix it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-197236"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-197236" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 05, 2016</p>
    </div>
    <a href="#comment-197236">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-197236" class="permalink" rel="bookmark">Why is not bridges used as</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why is not bridges used as default? Are it bacause of any disadvantages or is it less secure in some cases or something?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-197295"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-197295" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 05, 2016</p>
    </div>
    <a href="#comment-197295">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-197295" class="permalink" rel="bookmark">Why do you prefer mp4</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why do you prefer mp4 instead of webm?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-197566"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-197566" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 07, 2016</p>
    </div>
    <a href="#comment-197566">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-197566" class="permalink" rel="bookmark">I used tor browser and</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I used tor browser and <a href="http://www.iquickensupport.com/" rel="nofollow">someone</a> told me that it is used to change ip address constantly. is this true?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-197812"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-197812" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 08, 2016</p>
    </div>
    <a href="#comment-197812">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-197812" class="permalink" rel="bookmark">&quot;While Tor Browser provides</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><cite>"While Tor Browser provides many security and privacy properties and features, not everyone around the world has the luxury to connect to use it."</cite></p>
<p>That is so true. Another truth is that not everyone in the world has the opportunity to buy (decreasing) Tor supported hardware. But that connects to a lost discussion about wealth.<br />
Even the suggested alternative Tails is not that ideal. Although they do a very good job, it's a hard search for the right usb sticks or frustrating work to get a dvd working, and it just won't on systems too.<br />
Therefore I'm using an old Torbrowser right now, a browser that still works on the machine with an older fine working operating system.<br />
Luckily I don't get prisoned for using Tor because it is still legal to use this browser over here (yet) and there is also not many malware for my system.</p>
<p><strong>Security issues</strong> : The thing I want to warn you about is that I see a growing number of ip addresses that are not part of Tornetwork but are interfering while Torbrowsing. Brazil is one of the countries as a result of iplookups.<br />
I experience a growing number of 'onion with red cross errors' on the atlas check pages and it is then that I found out that the Torbutton don't warn you for a broken Tornetwork when it is already blinking for an available update with the yellow sign.</p>
<p>So, although I know I better should not use an old version of Torbrowser (The only alternative is not using Tor then), I think it's worth to look at the Torbutton issue just because it can happen that even people with almost new Torbrowsers often do not immediately update their Torbrowser and then do not notice when they are on a compromised connection because they do not get Warned by Torbutton that is overbusy with other warning blinking.</p>
<p>But maybe it is not an issue at all because it is fixed in your 6 series?<br />
I hope so.<br />
In the meanwhile I'll will keep being busy breaking through non Torsupport barriers voluntarily testing your network with my 'happy' 'HoneyTorpotbrowser'.</p>
<p>Keep up the good work and don't follow mozilla in their fashionable dropping support modus the next months, because in large parts of the world people just cannot afford new computers (get inspired by your own gif, the country list should then be longer though).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-198022"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-198022" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 09, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-197812" class="permalink" rel="bookmark">&quot;While Tor Browser provides</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-198022">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-198022" class="permalink" rel="bookmark">Tor Browser works on</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor Browser works on hardware started from Pentium Pro. What is your case that you have to use an older version?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-198405"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-198405" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 10, 2016</p>
    </div>
    <a href="#comment-198405">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-198405" class="permalink" rel="bookmark">While these features are</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>While these features are great to circumvent censorship on ISP level they are useless when more and more websites are completely blocking tor users. Half of the internet appears to be behind cloudflare already and many more sites block all exit nodes by default.</p>
<p>What does the tor project intend to do against this form of censorship?<br />
We've heard about raising awareness and seeking dialogue with site owners for years but things have only gotten worse. Services like cloudflare will never treat tor traffic the same way as regular users. It would be against their business model. We have to acknowledge that to the average webservice blocking all tor traffic to prevent vandalism is way more important than losing a few legitimate users.<br />
I do understand that many people refuse to let tor users to edit or publish content on their sites, we all know where this often leads to, but they could at least let us view their sites.</p>
<p>So in the end I see two options:<br />
1) Leave things as they are and accept that tor users will only have access to a limited and ever shrinking part of the internet and will be almost completely excluded from actively contributing</p>
<p>2) Think of a way to circumvent the preemptive exclusion of all tor users, maybe something like exit bridges. However I do agree there must be some mechanism to deter spamming and vandalism or at least makes it more difficult and less attractive. No idea how though.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-199620"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-199620" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  dcf
  </article>
    <div class="comment-header">
      <p class="comment__submitted">dcf said:</p>
      <p class="date-time">August 16, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-198405" class="permalink" rel="bookmark">While these features are</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-199620">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-199620" class="permalink" rel="bookmark">I don&#039;t have a good answer</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I don't have a good answer for you, but here are some pages to read on the subject.</p>
<p><a href="https://trac.torproject.org/projects/tor/wiki/org/doc/ListOfServicesBlockingTor" rel="nofollow">List of services blocking Tor</a><br />
A big list of web sites that block Tor users. (Mostly excludes CloudFlare sites, because there are too many.)<br />
<a href="https://www.lightbluetouchpaper.org/2016/02/23/do-you-see-what-i-see/" rel="nofollow">Differential Treatment of Anonymous Users</a><br />
A research paper that measures how common it is for Tor users to be blocked<br />
<a href="https://www.torproject.org/docs/faq.html.en#HideExits" rel="nofollow">FAQ: You should hide the list of Tor relays, so people can't block the exits.</a><br />
"There are a few reasons we don't: ..."</p>
<p>Using "exit bridges" as you suggest might not work, because many services (including CloudFlare) don't block Tor using a blacklist of exit nodes, rather have some automated system that detects abuse (like comment spam) and blocks IP addresses when it gets too high. (See the CloudFlare support page, <a href="https://support.cloudflare.com/hc/en-us/articles/203306930-Does-CloudFlare-block-Tor-" rel="nofollow">Does CloudFlare block Tor?</a>)</p>
<p>There are a few CloudFlare-hosted sites that have unblocked Tor users by <a href="https://trac.torproject.org/projects/tor/wiki/org/doc/ListOfServicesBlockingTor#HowtounblockTorusers" rel="nofollow">whitelisting the "T1" country code</a>; see <a href="https://trac.torproject.org/projects/tor/wiki/doc/CloudflareSites" rel="nofollow">https://trac.torproject.org/projects/tor/wiki/doc/CloudflareSites</a>.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-198621"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-198621" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 11, 2016</p>
    </div>
    <a href="#comment-198621">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-198621" class="permalink" rel="bookmark">Why aren&#039;t pluggable</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why aren't pluggable transports available on the 2nd and 3rd relays as on the 1st relay?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-199614"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-199614" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  dcf
  </article>
    <div class="comment-header">
      <p class="comment__submitted">dcf said:</p>
      <p class="date-time">August 16, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-198621" class="permalink" rel="bookmark">Why aren&#039;t pluggable</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-199614">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-199614" class="permalink" rel="bookmark">Usually the censorship of</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Usually the censorship of Tor happens close to the user, somewhere between the user and their bridge. So you only need a disguised connection on the first hop.</p>
<p>Maybe someday things will change, and pluggable transports will be needed for the connections between relays, but it's not needed today.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-199656"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-199656" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 16, 2016</p>
    </div>
    <a href="#comment-199656">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-199656" class="permalink" rel="bookmark">In Russia a majors email</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>In Russia a majors email providers are Russian: mail.ru and yandex. Also foreign email providers (and any other "information distribution platforms" are liable to move their servers into Russia, or they will be blocked. Google already aggreed. Using mail controllable by authorities allows them to replace your mails with own and in this way violate confidentiality and detect users avoiding censorship and jail them.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-200813"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-200813" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 19, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-199656" class="permalink" rel="bookmark">In Russia a majors email</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-200813">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-200813" class="permalink" rel="bookmark">hi russianin
you can use</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hi russianin<br />
you can use onion email providers and recommend your friends to do so.<br />
or a harder way is to use *nix way and send your mail directly to the recipient! who enforces you to use "majors email providers" anyway? anyone can have directly accessible (onion) address. tip - you can even have several for distinct recipients.<br />
spread info about the absence of any confidentiality with any email provider and in the mean time educate youself reading snowden's materials about nsa (kgb twin) deeds.<br />
just wonder what do you mean by "detect users avoiding censorship"?<br />
d'you mean pgp encryption prosecuted by 'armed enforcement group'?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204308"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204308" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 01, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-200813" class="permalink" rel="bookmark">hi russianin
you can use</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204308">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204308" class="permalink" rel="bookmark">What is this harder way that</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What is this harder way that uses the *nix way to send mail directly? Does it use the hosts file to resolve the recipient Unix host to an IPA? Doesn't that bypass Tor? Doesn't setting hostnames break anonymity? Or have I got that wrong ...</p>
<p>I think what russianin meant by "detect users avoiding censorship" is new Russian law that says you are not allowed to use means of encryption beyond what the Russian goverment can break. If they can't taint your e-mails with substitutions or insertions, that means you broke the law and you go to jail.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-202109"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-202109" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 22, 2016</p>
    </div>
    <a href="#comment-202109">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-202109" class="permalink" rel="bookmark">Hi, TOR network is blocked</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi, TOR network is blocked for me, so is all other pages of tor website except for the blog. Could anyone provide me any non "tor" related link where I could read about using pluggable transports? even the bridge is not working for me, and so is orbot on android. Plese help.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-202581"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-202581" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 24, 2016</p>
    </div>
    <a href="#comment-202581">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-202581" class="permalink" rel="bookmark">How do we tell between a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How do we tell between a censored user genuinely asking for help in figuring out Pluggable Transports, and an agent of a censor pretending to be such just to find out what and where the latest PTs are so they can detect them?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-203962"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-203962" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 30, 2016</p>
    </div>
    <a href="#comment-203962">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-203962" class="permalink" rel="bookmark">Hi! If i use tor while</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi! If i use tor while connected to a public wifi hotspot, will this defeat the purpose?</p>
<p>Can using tor help prevent somebody from accessing data that passes through the wifi router.</p>
<p>If accessible, how can i make the files appear "shredded" if the owner of this hotspot tries to access them, while still being able to view them in my browser.</p>
<p>I'm mainly interested in sending/receiving text and links.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-204260"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204260" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 01, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-203962" class="permalink" rel="bookmark">Hi! If i use tor while</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204260">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204260" class="permalink" rel="bookmark">1. you should force your tcp</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>1. you should force your tcp connection through tor proxy. the simplest way is to use tbb.<br />
2. you should use onion sites.<br />
so your inflight data cannot be accessed by anyone but the site owner.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-204311"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-204311" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 01, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-203962" class="permalink" rel="bookmark">Hi! If i use tor while</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-204311">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-204311" class="permalink" rel="bookmark">It won&#039;t, provided you pay</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It won't, provided you pay attention to some details. </p>
<p>Generally, the connection between your computer and your entry (guard) node is a triple layer of SSL encryption, so anyone accessing your data that passes through the wifi router will just see SSL. If they break that, they see more SSL. </p>
<p>The people who produce the TAILS OS write about other matters you must take into account. In particular:</p>
<p>- The problem of a free Wi-Fi network's captive portal:<br />
<a href="https://tails.boum.org/doc/anonymous_internet/unsafe_browser/index.en.html" rel="nofollow">https://tails.boum.org/doc/anonymous_internet/unsafe_browser/index.en.h…</a></p>
<p>- When to spoof your laptop's MAC (the macchanger command, only in *nix OSs):<br />
<a href="https://tails.boum.org/doc/first_steps/startup_options/mac_spoofing/index.en.html" rel="nofollow">https://tails.boum.org/doc/first_steps/startup_options/mac_spoofing/ind…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-207571"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-207571" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 16, 2016</p>
    </div>
    <a href="#comment-207571">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-207571" class="permalink" rel="bookmark">Can we change to use .i2p or</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can we change to use .i2p or Ar till Virtual private network service?</p>
<p>Even mega corps using Internet protocol or Muti protocol labering system was too expensive, CSCO , ASA and JNPR Junos is good idea, cheack point capulate Virtual private network  both were mutational - Gov agency used  firm</p>
<p>We should buy Small satellites broadband access or cheapest pi hardware (one time use) to bypass hardware GUID identification</p>
<p>All PRC/ROC make hardware motherboard like Gigabyte , ASUS(hong hai presentation ) , MSI , AAPL, Lenovo, MSFT , LG , Samsung , EVGA ,oracle, Citix,HTC,VMware   have backdoor via south or north chips set  placed already to remote turn on your camera , GPS chip , Mic to recording your face, voice ,location , etc</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
